Changeset 1054


Ignore:
Timestamp:
Mar 4, 2008 9:19:47 AM (12 years ago)
Author:
stefan
Message:

rerun autotools to get support for intel compilers on windows; get make test run without requiring asl

Location:
trunk
Files:
19 edited

Legend:

Unmodified
Added
Removed
  • trunk/Bonmin/Makefile.in

    r1014 r1054  
    129129AUX_DIR = @AUX_DIR@
    130130AWK = @AWK@
     131BCPDOCDIR = @BCPDOCDIR@
    131132BCPOBJDIR = @BCPOBJDIR@
    132133BCPSRCDIR = @BCPSRCDIR@
     
    134135BUILD_FP_FALSE = @BUILD_FP_FALSE@
    135136BUILD_FP_TRUE = @BUILD_FP_TRUE@
     137CBCDOCDIR = @CBCDOCDIR@
    136138CBCOBJDIR = @CBCOBJDIR@
    137139CBCSRCDIR = @CBCSRCDIR@
     
    140142CDEFS = @CDEFS@
    141143CFLAGS = @CFLAGS@
     144CGLDOCDIR = @CGLDOCDIR@
    142145CGLOBJDIR = @CGLOBJDIR@
    143146CGLSRCDIR = @CGLSRCDIR@
     147CLPDOCDIR = @CLPDOCDIR@
    144148CLPOBJDIR = @CLPOBJDIR@
    145149CLPSRCDIR = @CLPSRCDIR@
     150COINUTILSDOCDIR = @COINUTILSDOCDIR@
    146151COINUTILSOBJDIR = @COINUTILSOBJDIR@
    147152COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    186191COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    187192COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     193COUENNEDOCDIR = @COUENNEDOCDIR@
    188194COUENNEOBJDIR = @COUENNEOBJDIR@
    189195COUENNESRCDIR = @COUENNESRCDIR@
     
    203209DEFS = @DEFS@
    204210DEPDIR = @DEPDIR@
     211DYLPDOCDIR = @DYLPDOCDIR@
    205212DYLPOBJDIR = @DYLPOBJDIR@
    206213DYLPSRCDIR = @DYLPSRCDIR@
     
    226233INSTALL_SCRIPT = @INSTALL_SCRIPT@
    227234INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     235IPOPTDOCDIR = @IPOPTDOCDIR@
    228236IPOPTOBJDIR = @IPOPTOBJDIR@
    229237IPOPTSRCDIR = @IPOPTSRCDIR@
     
    250258OPT_CXXFLAGS = @OPT_CXXFLAGS@
    251259OPT_FFLAGS = @OPT_FFLAGS@
     260OSIDOCDIR = @OSIDOCDIR@
    252261OSIOBJDIR = @OSIOBJDIR@
    253262OSISRCDIR = @OSISRCDIR@
     
    268277SPXLIB = @SPXLIB@
    269278STRIP = @STRIP@
     279SYMDOCDIR = @SYMDOCDIR@
    270280SYMOBJDIR = @SYMOBJDIR@
    271281SYMSRCDIR = @SYMSRCDIR@
    272282VERSION = @VERSION@
     283VOLDOCDIR = @VOLDOCDIR@
    273284VOLOBJDIR = @VOLOBJDIR@
    274285VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/configure

    r1014 r1054  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE IPOPTSRCDIR IPOPTOBJDIR COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE BCPSRCDIR BCPOBJDIR COIN_HAS_BCP_TRUE COIN_HAS_BCP_FALSE COUENNESRCDIR COUENNEOBJDIR COIN_HAS_COUENNE_TRUE COIN_HAS_COUENNE_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE BUILD_FP_TRUE BUILD_FP_FALSE COIN_HAS_FILTERSQP_TRUE COIN_HAS_FILTERSQP_FALSE FILTERSQPLIBADD ASTYLE ASTYLEFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR CBCDOCDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR DYLPDOCDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE IPOPTSRCDIR IPOPTOBJDIR IPOPTDOCDIR COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR SYMDOCDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR VOLDOCDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE BCPSRCDIR BCPOBJDIR BCPDOCDIR COIN_HAS_BCP_TRUE COIN_HAS_BCP_FALSE COUENNESRCDIR COUENNEOBJDIR COUENNEDOCDIR COIN_HAS_COUENNE_TRUE COIN_HAS_COUENNE_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE BUILD_FP_TRUE BUILD_FP_FALSE COIN_HAS_FILTERSQP_TRUE COIN_HAS_FILTERSQP_FALSE FILTERSQPLIBADD ASTYLE ASTYLEFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    55295529# START
    55305530
    5531 # On Cygwin and AIX, building DLLs doesn't work
    5532 case $build in
    5533   *-cygwin*)
    5534     coin_disable_shared=yes
    5535     platform=Cygwin
    5536   ;;
    5537   *-aix*)
    5538     coin_disable_shared=yes
    5539     platform=AIX
    5540   ;;
    5541   *-mingw*)
    5542     coin_disable_shared=yes
    5543     platform="Msys"
    5544 #    case "$CXX" in
    5545 #      cl*)
    5546 #        coin_disable_shared=yes
    5547 #        platform="Msys with cl"
    5548 #    ;;
    5549 #    esac
    5550   ;;
    5551 esac
     5531# Test if force_shared has been set
     5532if test "x" = xforce_shared; then
     5533  if test x$enable_shared = xno; then
     5534    { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
     5535echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
     5536   { (exit 1); exit 1; }; }
     5537  fi
     5538  enable_shared=yes;
     5539else
     5540  # On Cygwin and AIX, building DLLs doesn't work
     5541  case $build in
     5542    *-cygwin*)
     5543      coin_disable_shared=yes
     5544      platform=Cygwin
     5545    ;;
     5546    *-aix*)
     5547      coin_disable_shared=yes
     5548      platform=AIX
     5549    ;;
     5550    *-mingw*)
     5551      coin_disable_shared=yes
     5552      platform="Msys"
     5553#      case "$CXX" in
     5554#        cl*)
     5555#          coin_disable_shared=yes
     5556#          platform="Msys with cl"
     5557#      ;;
     5558#      esac
     5559    ;;
     5560  esac
     5561fi
    55525562if test x"$coin_disable_shared" = xyes; then
    55535563  if test x"$enable_shared" = xyes; then
     
    72547264*-*-irix6*)
    72557265  # Find out which ABI we are using.
    7256   echo '#line 7256 "configure"' > conftest.$ac_ext
     7266  echo '#line 7266 "configure"' > conftest.$ac_ext
    72577267  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    72587268  (eval $ac_compile) 2>&5
     
    92349244   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92359245   -e 's:$: $lt_compiler_flag:'`
    9236    (eval echo "\"\$as_me:9236: $lt_compile\"" >&5)
     9246   (eval echo "\"\$as_me:9246: $lt_compile\"" >&5)
    92379247   (eval "$lt_compile" 2>conftest.err)
    92389248   ac_status=$?
    92399249   cat conftest.err >&5
    9240    echo "$as_me:9240: \$? = $ac_status" >&5
     9250   echo "$as_me:9250: \$? = $ac_status" >&5
    92419251   if (exit $ac_status) && test -s "$ac_outfile"; then
    92429252     # The compiler can only warn and ignore the option if not recognized
     
    95029512   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95039513   -e 's:$: $lt_compiler_flag:'`
    9504    (eval echo "\"\$as_me:9504: $lt_compile\"" >&5)
     9514   (eval echo "\"\$as_me:9514: $lt_compile\"" >&5)
    95059515   (eval "$lt_compile" 2>conftest.err)
    95069516   ac_status=$?
    95079517   cat conftest.err >&5
    9508    echo "$as_me:9508: \$? = $ac_status" >&5
     9518   echo "$as_me:9518: \$? = $ac_status" >&5
    95099519   if (exit $ac_status) && test -s "$ac_outfile"; then
    95109520     # The compiler can only warn and ignore the option if not recognized
     
    96069616   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96079617   -e 's:$: $lt_compiler_flag:'`
    9608    (eval echo "\"\$as_me:9608: $lt_compile\"" >&5)
     9618   (eval echo "\"\$as_me:9618: $lt_compile\"" >&5)
    96099619   (eval "$lt_compile" 2>out/conftest.err)
    96109620   ac_status=$?
    96119621   cat out/conftest.err >&5
    9612    echo "$as_me:9612: \$? = $ac_status" >&5
     9622   echo "$as_me:9622: \$? = $ac_status" >&5
    96139623   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96149624   then
     
    1202312033  lt_status=$lt_dlunknown
    1202412034  cat > conftest.$ac_ext <<EOF
    12025 #line 12025 "configure"
     12035#line 12035 "configure"
    1202612036#include "confdefs.h"
    1202712037
     
    1212312133  lt_status=$lt_dlunknown
    1212412134  cat > conftest.$ac_ext <<EOF
    12125 #line 12125 "configure"
     12135#line 12135 "configure"
    1212612136#include "confdefs.h"
    1212712137
     
    1448314493   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1448414494   -e 's:$: $lt_compiler_flag:'`
    14485    (eval echo "\"\$as_me:14485: $lt_compile\"" >&5)
     14495   (eval echo "\"\$as_me:14495: $lt_compile\"" >&5)
    1448614496   (eval "$lt_compile" 2>conftest.err)
    1448714497   ac_status=$?
    1448814498   cat conftest.err >&5
    14489    echo "$as_me:14489: \$? = $ac_status" >&5
     14499   echo "$as_me:14499: \$? = $ac_status" >&5
    1449014500   if (exit $ac_status) && test -s "$ac_outfile"; then
    1449114501     # The compiler can only warn and ignore the option if not recognized
     
    1458714597   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1458814598   -e 's:$: $lt_compiler_flag:'`
    14589    (eval echo "\"\$as_me:14589: $lt_compile\"" >&5)
     14599   (eval echo "\"\$as_me:14599: $lt_compile\"" >&5)
    1459014600   (eval "$lt_compile" 2>out/conftest.err)
    1459114601   ac_status=$?
    1459214602   cat out/conftest.err >&5
    14593    echo "$as_me:14593: \$? = $ac_status" >&5
     14603   echo "$as_me:14603: \$? = $ac_status" >&5
    1459414604   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1459514605   then
     
    1615716167   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1615816168   -e 's:$: $lt_compiler_flag:'`
    16159    (eval echo "\"\$as_me:16159: $lt_compile\"" >&5)
     16169   (eval echo "\"\$as_me:16169: $lt_compile\"" >&5)
    1616016170   (eval "$lt_compile" 2>conftest.err)
    1616116171   ac_status=$?
    1616216172   cat conftest.err >&5
    16163    echo "$as_me:16163: \$? = $ac_status" >&5
     16173   echo "$as_me:16173: \$? = $ac_status" >&5
    1616416174   if (exit $ac_status) && test -s "$ac_outfile"; then
    1616516175     # The compiler can only warn and ignore the option if not recognized
     
    1626116271   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1626216272   -e 's:$: $lt_compiler_flag:'`
    16263    (eval echo "\"\$as_me:16263: $lt_compile\"" >&5)
     16273   (eval echo "\"\$as_me:16273: $lt_compile\"" >&5)
    1626416274   (eval "$lt_compile" 2>out/conftest.err)
    1626516275   ac_status=$?
    1626616276   cat out/conftest.err >&5
    16267    echo "$as_me:16267: \$? = $ac_status" >&5
     16277   echo "$as_me:16277: \$? = $ac_status" >&5
    1626816278   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1626916279   then
     
    1846818478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1846918479   -e 's:$: $lt_compiler_flag:'`
    18470    (eval echo "\"\$as_me:18470: $lt_compile\"" >&5)
     18480   (eval echo "\"\$as_me:18480: $lt_compile\"" >&5)
    1847118481   (eval "$lt_compile" 2>conftest.err)
    1847218482   ac_status=$?
    1847318483   cat conftest.err >&5
    18474    echo "$as_me:18474: \$? = $ac_status" >&5
     18484   echo "$as_me:18484: \$? = $ac_status" >&5
    1847518485   if (exit $ac_status) && test -s "$ac_outfile"; then
    1847618486     # The compiler can only warn and ignore the option if not recognized
     
    1873618746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1873718747   -e 's:$: $lt_compiler_flag:'`
    18738    (eval echo "\"\$as_me:18738: $lt_compile\"" >&5)
     18748   (eval echo "\"\$as_me:18748: $lt_compile\"" >&5)
    1873918749   (eval "$lt_compile" 2>conftest.err)
    1874018750   ac_status=$?
    1874118751   cat conftest.err >&5
    18742    echo "$as_me:18742: \$? = $ac_status" >&5
     18752   echo "$as_me:18752: \$? = $ac_status" >&5
    1874318753   if (exit $ac_status) && test -s "$ac_outfile"; then
    1874418754     # The compiler can only warn and ignore the option if not recognized
     
    1884018850   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1884118851   -e 's:$: $lt_compiler_flag:'`
    18842    (eval echo "\"\$as_me:18842: $lt_compile\"" >&5)
     18852   (eval echo "\"\$as_me:18852: $lt_compile\"" >&5)
    1884318853   (eval "$lt_compile" 2>out/conftest.err)
    1884418854   ac_status=$?
    1884518855   cat out/conftest.err >&5
    18846    echo "$as_me:18846: \$? = $ac_status" >&5
     18856   echo "$as_me:18856: \$? = $ac_status" >&5
    1884718857   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1884818858   then
     
    2163221642echo "$as_me: Applying patches to libtool for Darwin" >&6;}
    2163321643      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     21644        -e 's/ -dynamiclib / -dynamiclib -single_module /g' \
    2163421645      libtool > conftest.bla
    2163521646
     
    2178721798
    2178821799  CBCOBJDIR=`pwd`/$coin_has_cbc
     21800
     21801  CBCDOCDIR=$abs_lib_dir/../share/doc/coin/Cbc
    2178921802fi
    2179021803
     
    2184321856
    2184421857  CGLOBJDIR=`pwd`/$coin_has_cgl
     21858
     21859  CGLDOCDIR=$abs_lib_dir/../share/doc/coin/Cgl
    2184521860fi
    2184621861
     
    2189921914
    2190021915  CLPOBJDIR=`pwd`/$coin_has_clp
     21916
     21917  CLPDOCDIR=$abs_lib_dir/../share/doc/coin/Clp
    2190121918fi
    2190221919
     
    2195521972
    2195621973  COINUTILSOBJDIR=`pwd`/$coin_has_coinutils
     21974
     21975  COINUTILSDOCDIR=$abs_lib_dir/../share/doc/coin/CoinUtils
    2195721976fi
    2195821977
     
    2201122030
    2201222031  DYLPOBJDIR=`pwd`/$coin_has_dylp
     22032
     22033  DYLPDOCDIR=$abs_lib_dir/../share/doc/coin/DyLP
    2201322034fi
    2201422035
     
    2206722088
    2206822089  IPOPTOBJDIR=`pwd`/$coin_has_ipopt
     22090
     22091  IPOPTDOCDIR=$abs_lib_dir/../share/doc/coin/Ipopt
    2206922092fi
    2207022093
     
    2212322146
    2212422147  OSIOBJDIR=`pwd`/$coin_has_osi
     22148
     22149  OSIDOCDIR=$abs_lib_dir/../share/doc/coin/Osi
    2212522150fi
    2212622151
     
    2217922204
    2218022205  SYMOBJDIR=`pwd`/$coin_has_sym
     22206
     22207  SYMDOCDIR=$abs_lib_dir/../share/doc/coin/Sym
    2218122208fi
    2218222209
     
    2223522262
    2223622263  VOLOBJDIR=`pwd`/$coin_has_vol
     22264
     22265  VOLDOCDIR=$abs_lib_dir/../share/doc/coin/Vol
    2223722266fi
    2223822267
     
    2229122320
    2229222321  BCPOBJDIR=`pwd`/$coin_has_bcp
     22322
     22323  BCPDOCDIR=$abs_lib_dir/../share/doc/coin/Bcp
    2229322324fi
    2229422325
     
    2234722378
    2234822379  COUENNEOBJDIR=`pwd`/$coin_has_couenne
     22380
     22381  COUENNEDOCDIR=$abs_lib_dir/../share/doc/coin/Couenne
    2234922382fi
    2235022383
     
    2491024943s,@CBCSRCDIR@,$CBCSRCDIR,;t t
    2491124944s,@CBCOBJDIR@,$CBCOBJDIR,;t t
     24945s,@CBCDOCDIR@,$CBCDOCDIR,;t t
    2491224946s,@COIN_HAS_CBC_TRUE@,$COIN_HAS_CBC_TRUE,;t t
    2491324947s,@COIN_HAS_CBC_FALSE@,$COIN_HAS_CBC_FALSE,;t t
    2491424948s,@CGLSRCDIR@,$CGLSRCDIR,;t t
    2491524949s,@CGLOBJDIR@,$CGLOBJDIR,;t t
     24950s,@CGLDOCDIR@,$CGLDOCDIR,;t t
    2491624951s,@COIN_HAS_CGL_TRUE@,$COIN_HAS_CGL_TRUE,;t t
    2491724952s,@COIN_HAS_CGL_FALSE@,$COIN_HAS_CGL_FALSE,;t t
    2491824953s,@CLPSRCDIR@,$CLPSRCDIR,;t t
    2491924954s,@CLPOBJDIR@,$CLPOBJDIR,;t t
     24955s,@CLPDOCDIR@,$CLPDOCDIR,;t t
    2492024956s,@COIN_HAS_CLP_TRUE@,$COIN_HAS_CLP_TRUE,;t t
    2492124957s,@COIN_HAS_CLP_FALSE@,$COIN_HAS_CLP_FALSE,;t t
    2492224958s,@COINUTILSSRCDIR@,$COINUTILSSRCDIR,;t t
    2492324959s,@COINUTILSOBJDIR@,$COINUTILSOBJDIR,;t t
     24960s,@COINUTILSDOCDIR@,$COINUTILSDOCDIR,;t t
    2492424961s,@COIN_HAS_COINUTILS_TRUE@,$COIN_HAS_COINUTILS_TRUE,;t t
    2492524962s,@COIN_HAS_COINUTILS_FALSE@,$COIN_HAS_COINUTILS_FALSE,;t t
    2492624963s,@DYLPSRCDIR@,$DYLPSRCDIR,;t t
    2492724964s,@DYLPOBJDIR@,$DYLPOBJDIR,;t t
     24965s,@DYLPDOCDIR@,$DYLPDOCDIR,;t t
    2492824966s,@COIN_HAS_DYLP_TRUE@,$COIN_HAS_DYLP_TRUE,;t t
    2492924967s,@COIN_HAS_DYLP_FALSE@,$COIN_HAS_DYLP_FALSE,;t t
    2493024968s,@IPOPTSRCDIR@,$IPOPTSRCDIR,;t t
    2493124969s,@IPOPTOBJDIR@,$IPOPTOBJDIR,;t t
     24970s,@IPOPTDOCDIR@,$IPOPTDOCDIR,;t t
    2493224971s,@COIN_HAS_IPOPT_TRUE@,$COIN_HAS_IPOPT_TRUE,;t t
    2493324972s,@COIN_HAS_IPOPT_FALSE@,$COIN_HAS_IPOPT_FALSE,;t t
    2493424973s,@OSISRCDIR@,$OSISRCDIR,;t t
    2493524974s,@OSIOBJDIR@,$OSIOBJDIR,;t t
     24975s,@OSIDOCDIR@,$OSIDOCDIR,;t t
    2493624976s,@COIN_HAS_OSI_TRUE@,$COIN_HAS_OSI_TRUE,;t t
    2493724977s,@COIN_HAS_OSI_FALSE@,$COIN_HAS_OSI_FALSE,;t t
    2493824978s,@SYMSRCDIR@,$SYMSRCDIR,;t t
    2493924979s,@SYMOBJDIR@,$SYMOBJDIR,;t t
     24980s,@SYMDOCDIR@,$SYMDOCDIR,;t t
    2494024981s,@COIN_HAS_SYM_TRUE@,$COIN_HAS_SYM_TRUE,;t t
    2494124982s,@COIN_HAS_SYM_FALSE@,$COIN_HAS_SYM_FALSE,;t t
    2494224983s,@VOLSRCDIR@,$VOLSRCDIR,;t t
    2494324984s,@VOLOBJDIR@,$VOLOBJDIR,;t t
     24985s,@VOLDOCDIR@,$VOLDOCDIR,;t t
    2494424986s,@COIN_HAS_VOL_TRUE@,$COIN_HAS_VOL_TRUE,;t t
    2494524987s,@COIN_HAS_VOL_FALSE@,$COIN_HAS_VOL_FALSE,;t t
    2494624988s,@BCPSRCDIR@,$BCPSRCDIR,;t t
    2494724989s,@BCPOBJDIR@,$BCPOBJDIR,;t t
     24990s,@BCPDOCDIR@,$BCPDOCDIR,;t t
    2494824991s,@COIN_HAS_BCP_TRUE@,$COIN_HAS_BCP_TRUE,;t t
    2494924992s,@COIN_HAS_BCP_FALSE@,$COIN_HAS_BCP_FALSE,;t t
    2495024993s,@COUENNESRCDIR@,$COUENNESRCDIR,;t t
    2495124994s,@COUENNEOBJDIR@,$COUENNEOBJDIR,;t t
     24995s,@COUENNEDOCDIR@,$COUENNEDOCDIR,;t t
    2495224996s,@COIN_HAS_COUENNE_TRUE@,$COIN_HAS_COUENNE_TRUE,;t t
    2495324997s,@COIN_HAS_COUENNE_FALSE@,$COIN_HAS_COUENNE_FALSE,;t t
  • trunk/Bonmin/experimental/Bcp/Makefile.in

    r909 r1054  
    123123AUX_DIR = @AUX_DIR@
    124124AWK = @AWK@
     125BCPDOCDIR = @BCPDOCDIR@
    125126BCPOBJDIR = @BCPOBJDIR@
    126127BCPSRCDIR = @BCPSRCDIR@
     
    128129BUILD_FP_FALSE = @BUILD_FP_FALSE@
    129130BUILD_FP_TRUE = @BUILD_FP_TRUE@
     131CBCDOCDIR = @CBCDOCDIR@
    130132CBCOBJDIR = @CBCOBJDIR@
    131133CBCSRCDIR = @CBCSRCDIR@
     
    134136CDEFS = @CDEFS@
    135137CFLAGS = @CFLAGS@
     138CGLDOCDIR = @CGLDOCDIR@
    136139CGLOBJDIR = @CGLOBJDIR@
    137140CGLSRCDIR = @CGLSRCDIR@
     141CLPDOCDIR = @CLPDOCDIR@
    138142CLPOBJDIR = @CLPOBJDIR@
    139143CLPSRCDIR = @CLPSRCDIR@
     144COINUTILSDOCDIR = @COINUTILSDOCDIR@
    140145COINUTILSOBJDIR = @COINUTILSOBJDIR@
    141146COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    180185COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    181186COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     187COUENNEDOCDIR = @COUENNEDOCDIR@
    182188COUENNEOBJDIR = @COUENNEOBJDIR@
    183189COUENNESRCDIR = @COUENNESRCDIR@
     
    197203DEFS = @DEFS@
    198204DEPDIR = @DEPDIR@
     205DYLPDOCDIR = @DYLPDOCDIR@
    199206DYLPOBJDIR = @DYLPOBJDIR@
    200207DYLPSRCDIR = @DYLPSRCDIR@
     
    220227INSTALL_SCRIPT = @INSTALL_SCRIPT@
    221228INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     229IPOPTDOCDIR = @IPOPTDOCDIR@
    222230IPOPTOBJDIR = @IPOPTOBJDIR@
    223231IPOPTSRCDIR = @IPOPTSRCDIR@
     
    251259OPT_CXXFLAGS = @OPT_CXXFLAGS@
    252260OPT_FFLAGS = @OPT_FFLAGS@
     261OSIDOCDIR = @OSIDOCDIR@
    253262OSIOBJDIR = @OSIOBJDIR@
    254263OSISRCDIR = @OSISRCDIR@
     
    269278SPXLIB = @SPXLIB@
    270279STRIP = @STRIP@
     280SYMDOCDIR = @SYMDOCDIR@
    271281SYMOBJDIR = @SYMOBJDIR@
    272282SYMSRCDIR = @SYMSRCDIR@
    273283VERSION = @VERSION@
     284VOLDOCDIR = @VOLDOCDIR@
    274285VOLOBJDIR = @VOLOBJDIR@
    275286VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/experimental/FP/Makefile.in

    r909 r1054  
    128128AUX_DIR = @AUX_DIR@
    129129AWK = @AWK@
     130BCPDOCDIR = @BCPDOCDIR@
    130131BCPOBJDIR = @BCPOBJDIR@
    131132BCPSRCDIR = @BCPSRCDIR@
     
    133134BUILD_FP_FALSE = @BUILD_FP_FALSE@
    134135BUILD_FP_TRUE = @BUILD_FP_TRUE@
     136CBCDOCDIR = @CBCDOCDIR@
    135137CBCOBJDIR = @CBCOBJDIR@
    136138CBCSRCDIR = @CBCSRCDIR@
     
    139141CDEFS = @CDEFS@
    140142CFLAGS = @CFLAGS@
     143CGLDOCDIR = @CGLDOCDIR@
    141144CGLOBJDIR = @CGLOBJDIR@
    142145CGLSRCDIR = @CGLSRCDIR@
     146CLPDOCDIR = @CLPDOCDIR@
    143147CLPOBJDIR = @CLPOBJDIR@
    144148CLPSRCDIR = @CLPSRCDIR@
     149COINUTILSDOCDIR = @COINUTILSDOCDIR@
    145150COINUTILSOBJDIR = @COINUTILSOBJDIR@
    146151COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    185190COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    186191COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     192COUENNEDOCDIR = @COUENNEDOCDIR@
    187193COUENNEOBJDIR = @COUENNEOBJDIR@
    188194COUENNESRCDIR = @COUENNESRCDIR@
     
    202208DEFS = @DEFS@
    203209DEPDIR = @DEPDIR@
     210DYLPDOCDIR = @DYLPDOCDIR@
    204211DYLPOBJDIR = @DYLPOBJDIR@
    205212DYLPSRCDIR = @DYLPSRCDIR@
     
    225232INSTALL_SCRIPT = @INSTALL_SCRIPT@
    226233INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     234IPOPTDOCDIR = @IPOPTDOCDIR@
    227235IPOPTOBJDIR = @IPOPTOBJDIR@
    228236IPOPTSRCDIR = @IPOPTSRCDIR@
     
    250258OPT_CXXFLAGS = @OPT_CXXFLAGS@
    251259OPT_FFLAGS = @OPT_FFLAGS@
     260OSIDOCDIR = @OSIDOCDIR@
    252261OSIOBJDIR = @OSIOBJDIR@
    253262OSISRCDIR = @OSISRCDIR@
     
    268277SPXLIB = @SPXLIB@
    269278STRIP = @STRIP@
     279SYMDOCDIR = @SYMDOCDIR@
    270280SYMOBJDIR = @SYMOBJDIR@
    271281SYMSRCDIR = @SYMSRCDIR@
    272282VERSION = @VERSION@
     283VOLDOCDIR = @VOLDOCDIR@
    273284VOLOBJDIR = @VOLOBJDIR@
    274285VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Algorithms/Ampl/Makefile.in

    r1014 r1054  
    116116AUX_DIR = @AUX_DIR@
    117117AWK = @AWK@
     118BCPDOCDIR = @BCPDOCDIR@
    118119BCPOBJDIR = @BCPOBJDIR@
    119120BCPSRCDIR = @BCPSRCDIR@
     
    121122BUILD_FP_FALSE = @BUILD_FP_FALSE@
    122123BUILD_FP_TRUE = @BUILD_FP_TRUE@
     124CBCDOCDIR = @CBCDOCDIR@
    123125CBCOBJDIR = @CBCOBJDIR@
    124126CBCSRCDIR = @CBCSRCDIR@
     
    127129CDEFS = @CDEFS@
    128130CFLAGS = @CFLAGS@
     131CGLDOCDIR = @CGLDOCDIR@
    129132CGLOBJDIR = @CGLOBJDIR@
    130133CGLSRCDIR = @CGLSRCDIR@
     134CLPDOCDIR = @CLPDOCDIR@
    131135CLPOBJDIR = @CLPOBJDIR@
    132136CLPSRCDIR = @CLPSRCDIR@
     137COINUTILSDOCDIR = @COINUTILSDOCDIR@
    133138COINUTILSOBJDIR = @COINUTILSOBJDIR@
    134139COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    173178COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    174179COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     180COUENNEDOCDIR = @COUENNEDOCDIR@
    175181COUENNEOBJDIR = @COUENNEOBJDIR@
    176182COUENNESRCDIR = @COUENNESRCDIR@
     
    190196DEFS = @DEFS@
    191197DEPDIR = @DEPDIR@
     198DYLPDOCDIR = @DYLPDOCDIR@
    192199DYLPOBJDIR = @DYLPOBJDIR@
    193200DYLPSRCDIR = @DYLPSRCDIR@
     
    213220INSTALL_SCRIPT = @INSTALL_SCRIPT@
    214221INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     222IPOPTDOCDIR = @IPOPTDOCDIR@
    215223IPOPTOBJDIR = @IPOPTOBJDIR@
    216224IPOPTSRCDIR = @IPOPTSRCDIR@
     
    237245OPT_CXXFLAGS = @OPT_CXXFLAGS@
    238246OPT_FFLAGS = @OPT_FFLAGS@
     247OSIDOCDIR = @OSIDOCDIR@
    239248OSIOBJDIR = @OSIOBJDIR@
    240249OSISRCDIR = @OSISRCDIR@
     
    255264SPXLIB = @SPXLIB@
    256265STRIP = @STRIP@
     266SYMDOCDIR = @SYMDOCDIR@
    257267SYMOBJDIR = @SYMOBJDIR@
    258268SYMSRCDIR = @SYMSRCDIR@
    259269VERSION = @VERSION@
     270VOLDOCDIR = @VOLDOCDIR@
    260271VOLOBJDIR = @VOLOBJDIR@
    261272VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Algorithms/Branching/Makefile.in

    r1014 r1054  
    117117AUX_DIR = @AUX_DIR@
    118118AWK = @AWK@
     119BCPDOCDIR = @BCPDOCDIR@
    119120BCPOBJDIR = @BCPOBJDIR@
    120121BCPSRCDIR = @BCPSRCDIR@
     
    122123BUILD_FP_FALSE = @BUILD_FP_FALSE@
    123124BUILD_FP_TRUE = @BUILD_FP_TRUE@
     125CBCDOCDIR = @CBCDOCDIR@
    124126CBCOBJDIR = @CBCOBJDIR@
    125127CBCSRCDIR = @CBCSRCDIR@
     
    128130CDEFS = @CDEFS@
    129131CFLAGS = @CFLAGS@
     132CGLDOCDIR = @CGLDOCDIR@
    130133CGLOBJDIR = @CGLOBJDIR@
    131134CGLSRCDIR = @CGLSRCDIR@
     135CLPDOCDIR = @CLPDOCDIR@
    132136CLPOBJDIR = @CLPOBJDIR@
    133137CLPSRCDIR = @CLPSRCDIR@
     138COINUTILSDOCDIR = @COINUTILSDOCDIR@
    134139COINUTILSOBJDIR = @COINUTILSOBJDIR@
    135140COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    174179COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    175180COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     181COUENNEDOCDIR = @COUENNEDOCDIR@
    176182COUENNEOBJDIR = @COUENNEOBJDIR@
    177183COUENNESRCDIR = @COUENNESRCDIR@
     
    191197DEFS = @DEFS@
    192198DEPDIR = @DEPDIR@
     199DYLPDOCDIR = @DYLPDOCDIR@
    193200DYLPOBJDIR = @DYLPOBJDIR@
    194201DYLPSRCDIR = @DYLPSRCDIR@
     
    214221INSTALL_SCRIPT = @INSTALL_SCRIPT@
    215222INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     223IPOPTDOCDIR = @IPOPTDOCDIR@
    216224IPOPTOBJDIR = @IPOPTOBJDIR@
    217225IPOPTSRCDIR = @IPOPTSRCDIR@
     
    238246OPT_CXXFLAGS = @OPT_CXXFLAGS@
    239247OPT_FFLAGS = @OPT_FFLAGS@
     248OSIDOCDIR = @OSIDOCDIR@
    240249OSIOBJDIR = @OSIOBJDIR@
    241250OSISRCDIR = @OSISRCDIR@
     
    256265SPXLIB = @SPXLIB@
    257266STRIP = @STRIP@
     267SYMDOCDIR = @SYMDOCDIR@
    258268SYMOBJDIR = @SYMOBJDIR@
    259269SYMSRCDIR = @SYMSRCDIR@
    260270VERSION = @VERSION@
     271VOLDOCDIR = @VOLDOCDIR@
    261272VOLOBJDIR = @VOLOBJDIR@
    262273VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Algorithms/Makefile.in

    r1014 r1054  
    122122AUX_DIR = @AUX_DIR@
    123123AWK = @AWK@
     124BCPDOCDIR = @BCPDOCDIR@
    124125BCPOBJDIR = @BCPOBJDIR@
    125126BCPSRCDIR = @BCPSRCDIR@
     
    127128BUILD_FP_FALSE = @BUILD_FP_FALSE@
    128129BUILD_FP_TRUE = @BUILD_FP_TRUE@
     130CBCDOCDIR = @CBCDOCDIR@
    129131CBCOBJDIR = @CBCOBJDIR@
    130132CBCSRCDIR = @CBCSRCDIR@
     
    133135CDEFS = @CDEFS@
    134136CFLAGS = @CFLAGS@
     137CGLDOCDIR = @CGLDOCDIR@
    135138CGLOBJDIR = @CGLOBJDIR@
    136139CGLSRCDIR = @CGLSRCDIR@
     140CLPDOCDIR = @CLPDOCDIR@
    137141CLPOBJDIR = @CLPOBJDIR@
    138142CLPSRCDIR = @CLPSRCDIR@
     143COINUTILSDOCDIR = @COINUTILSDOCDIR@
    139144COINUTILSOBJDIR = @COINUTILSOBJDIR@
    140145COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    179184COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    180185COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     186COUENNEDOCDIR = @COUENNEDOCDIR@
    181187COUENNEOBJDIR = @COUENNEOBJDIR@
    182188COUENNESRCDIR = @COUENNESRCDIR@
     
    196202DEFS = @DEFS@
    197203DEPDIR = @DEPDIR@
     204DYLPDOCDIR = @DYLPDOCDIR@
    198205DYLPOBJDIR = @DYLPOBJDIR@
    199206DYLPSRCDIR = @DYLPSRCDIR@
     
    219226INSTALL_SCRIPT = @INSTALL_SCRIPT@
    220227INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     228IPOPTDOCDIR = @IPOPTDOCDIR@
    221229IPOPTOBJDIR = @IPOPTOBJDIR@
    222230IPOPTSRCDIR = @IPOPTSRCDIR@
     
    243251OPT_CXXFLAGS = @OPT_CXXFLAGS@
    244252OPT_FFLAGS = @OPT_FFLAGS@
     253OSIDOCDIR = @OSIDOCDIR@
    245254OSIOBJDIR = @OSIOBJDIR@
    246255OSISRCDIR = @OSISRCDIR@
     
    261270SPXLIB = @SPXLIB@
    262271STRIP = @STRIP@
     272SYMDOCDIR = @SYMDOCDIR@
    263273SYMOBJDIR = @SYMOBJDIR@
    264274SYMSRCDIR = @SYMSRCDIR@
    265275VERSION = @VERSION@
     276VOLDOCDIR = @VOLDOCDIR@
    266277VOLOBJDIR = @VOLOBJDIR@
    267278VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Algorithms/OaGenerators/Makefile.in

    r1014 r1054  
    118118AUX_DIR = @AUX_DIR@
    119119AWK = @AWK@
     120BCPDOCDIR = @BCPDOCDIR@
    120121BCPOBJDIR = @BCPOBJDIR@
    121122BCPSRCDIR = @BCPSRCDIR@
     
    123124BUILD_FP_FALSE = @BUILD_FP_FALSE@
    124125BUILD_FP_TRUE = @BUILD_FP_TRUE@
     126CBCDOCDIR = @CBCDOCDIR@
    125127CBCOBJDIR = @CBCOBJDIR@
    126128CBCSRCDIR = @CBCSRCDIR@
     
    129131CDEFS = @CDEFS@
    130132CFLAGS = @CFLAGS@
     133CGLDOCDIR = @CGLDOCDIR@
    131134CGLOBJDIR = @CGLOBJDIR@
    132135CGLSRCDIR = @CGLSRCDIR@
     136CLPDOCDIR = @CLPDOCDIR@
    133137CLPOBJDIR = @CLPOBJDIR@
    134138CLPSRCDIR = @CLPSRCDIR@
     139COINUTILSDOCDIR = @COINUTILSDOCDIR@
    135140COINUTILSOBJDIR = @COINUTILSOBJDIR@
    136141COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    175180COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    176181COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     182COUENNEDOCDIR = @COUENNEDOCDIR@
    177183COUENNEOBJDIR = @COUENNEOBJDIR@
    178184COUENNESRCDIR = @COUENNESRCDIR@
     
    192198DEFS = @DEFS@
    193199DEPDIR = @DEPDIR@
     200DYLPDOCDIR = @DYLPDOCDIR@
    194201DYLPOBJDIR = @DYLPOBJDIR@
    195202DYLPSRCDIR = @DYLPSRCDIR@
     
    215222INSTALL_SCRIPT = @INSTALL_SCRIPT@
    216223INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     224IPOPTDOCDIR = @IPOPTDOCDIR@
    217225IPOPTOBJDIR = @IPOPTOBJDIR@
    218226IPOPTSRCDIR = @IPOPTSRCDIR@
     
    239247OPT_CXXFLAGS = @OPT_CXXFLAGS@
    240248OPT_FFLAGS = @OPT_FFLAGS@
     249OSIDOCDIR = @OSIDOCDIR@
    241250OSIOBJDIR = @OSIOBJDIR@
    242251OSISRCDIR = @OSISRCDIR@
     
    257266SPXLIB = @SPXLIB@
    258267STRIP = @STRIP@
     268SYMDOCDIR = @SYMDOCDIR@
    259269SYMOBJDIR = @SYMOBJDIR@
    260270SYMSRCDIR = @SYMSRCDIR@
    261271VERSION = @VERSION@
     272VOLDOCDIR = @VOLDOCDIR@
    262273VOLOBJDIR = @VOLOBJDIR@
    263274VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Apps/Makefile.in

    r1051 r1054  
    126126AUX_DIR = @AUX_DIR@
    127127AWK = @AWK@
     128BCPDOCDIR = @BCPDOCDIR@
    128129BCPOBJDIR = @BCPOBJDIR@
    129130BCPSRCDIR = @BCPSRCDIR@
     
    131132BUILD_FP_FALSE = @BUILD_FP_FALSE@
    132133BUILD_FP_TRUE = @BUILD_FP_TRUE@
     134CBCDOCDIR = @CBCDOCDIR@
    133135CBCOBJDIR = @CBCOBJDIR@
    134136CBCSRCDIR = @CBCSRCDIR@
     
    137139CDEFS = @CDEFS@
    138140CFLAGS = @CFLAGS@
     141CGLDOCDIR = @CGLDOCDIR@
    139142CGLOBJDIR = @CGLOBJDIR@
    140143CGLSRCDIR = @CGLSRCDIR@
     144CLPDOCDIR = @CLPDOCDIR@
    141145CLPOBJDIR = @CLPOBJDIR@
    142146CLPSRCDIR = @CLPSRCDIR@
     147COINUTILSDOCDIR = @COINUTILSDOCDIR@
    143148COINUTILSOBJDIR = @COINUTILSOBJDIR@
    144149COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    183188COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    184189COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     190COUENNEDOCDIR = @COUENNEDOCDIR@
    185191COUENNEOBJDIR = @COUENNEOBJDIR@
    186192COUENNESRCDIR = @COUENNESRCDIR@
     
    200206DEFS = @DEFS@
    201207DEPDIR = @DEPDIR@
     208DYLPDOCDIR = @DYLPDOCDIR@
    202209DYLPOBJDIR = @DYLPOBJDIR@
    203210DYLPSRCDIR = @DYLPSRCDIR@
     
    223230INSTALL_SCRIPT = @INSTALL_SCRIPT@
    224231INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     232IPOPTDOCDIR = @IPOPTDOCDIR@
    225233IPOPTOBJDIR = @IPOPTOBJDIR@
    226234IPOPTSRCDIR = @IPOPTSRCDIR@
     
    249257OPT_CXXFLAGS = @OPT_CXXFLAGS@
    250258OPT_FFLAGS = @OPT_FFLAGS@
     259OSIDOCDIR = @OSIDOCDIR@
    251260OSIOBJDIR = @OSIOBJDIR@
    252261OSISRCDIR = @OSISRCDIR@
     
    267276SPXLIB = @SPXLIB@
    268277STRIP = @STRIP@
     278SYMDOCDIR = @SYMDOCDIR@
    269279SYMOBJDIR = @SYMOBJDIR@
    270280SYMSRCDIR = @SYMSRCDIR@
    271281VERSION = @VERSION@
     282VOLDOCDIR = @VOLDOCDIR@
    272283VOLOBJDIR = @VOLOBJDIR@
    273284VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/CbcBonmin/Makefile.in

    r1014 r1054  
    121121AUX_DIR = @AUX_DIR@
    122122AWK = @AWK@
     123BCPDOCDIR = @BCPDOCDIR@
    123124BCPOBJDIR = @BCPOBJDIR@
    124125BCPSRCDIR = @BCPSRCDIR@
     
    126127BUILD_FP_FALSE = @BUILD_FP_FALSE@
    127128BUILD_FP_TRUE = @BUILD_FP_TRUE@
     129CBCDOCDIR = @CBCDOCDIR@
    128130CBCOBJDIR = @CBCOBJDIR@
    129131CBCSRCDIR = @CBCSRCDIR@
     
    132134CDEFS = @CDEFS@
    133135CFLAGS = @CFLAGS@
     136CGLDOCDIR = @CGLDOCDIR@
    134137CGLOBJDIR = @CGLOBJDIR@
    135138CGLSRCDIR = @CGLSRCDIR@
     139CLPDOCDIR = @CLPDOCDIR@
    136140CLPOBJDIR = @CLPOBJDIR@
    137141CLPSRCDIR = @CLPSRCDIR@
     142COINUTILSDOCDIR = @COINUTILSDOCDIR@
    138143COINUTILSOBJDIR = @COINUTILSOBJDIR@
    139144COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    178183COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    179184COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     185COUENNEDOCDIR = @COUENNEDOCDIR@
    180186COUENNEOBJDIR = @COUENNEOBJDIR@
    181187COUENNESRCDIR = @COUENNESRCDIR@
     
    195201DEFS = @DEFS@
    196202DEPDIR = @DEPDIR@
     203DYLPDOCDIR = @DYLPDOCDIR@
    197204DYLPOBJDIR = @DYLPOBJDIR@
    198205DYLPSRCDIR = @DYLPSRCDIR@
     
    218225INSTALL_SCRIPT = @INSTALL_SCRIPT@
    219226INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     227IPOPTDOCDIR = @IPOPTDOCDIR@
    220228IPOPTOBJDIR = @IPOPTOBJDIR@
    221229IPOPTSRCDIR = @IPOPTSRCDIR@
     
    242250OPT_CXXFLAGS = @OPT_CXXFLAGS@
    243251OPT_FFLAGS = @OPT_FFLAGS@
     252OSIDOCDIR = @OSIDOCDIR@
    244253OSIOBJDIR = @OSIOBJDIR@
    245254OSISRCDIR = @OSISRCDIR@
     
    260269SPXLIB = @SPXLIB@
    261270STRIP = @STRIP@
     271SYMDOCDIR = @SYMDOCDIR@
    262272SYMOBJDIR = @SYMOBJDIR@
    263273SYMSRCDIR = @SYMSRCDIR@
    264274VERSION = @VERSION@
     275VOLDOCDIR = @VOLDOCDIR@
    265276VOLOBJDIR = @VOLOBJDIR@
    266277VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Interfaces/Ampl/Makefile.in

    r1014 r1054  
    114114AUX_DIR = @AUX_DIR@
    115115AWK = @AWK@
     116BCPDOCDIR = @BCPDOCDIR@
    116117BCPOBJDIR = @BCPOBJDIR@
    117118BCPSRCDIR = @BCPSRCDIR@
     
    119120BUILD_FP_FALSE = @BUILD_FP_FALSE@
    120121BUILD_FP_TRUE = @BUILD_FP_TRUE@
     122CBCDOCDIR = @CBCDOCDIR@
    121123CBCOBJDIR = @CBCOBJDIR@
    122124CBCSRCDIR = @CBCSRCDIR@
     
    125127CDEFS = @CDEFS@
    126128CFLAGS = @CFLAGS@
     129CGLDOCDIR = @CGLDOCDIR@
    127130CGLOBJDIR = @CGLOBJDIR@
    128131CGLSRCDIR = @CGLSRCDIR@
     132CLPDOCDIR = @CLPDOCDIR@
    129133CLPOBJDIR = @CLPOBJDIR@
    130134CLPSRCDIR = @CLPSRCDIR@
     135COINUTILSDOCDIR = @COINUTILSDOCDIR@
    131136COINUTILSOBJDIR = @COINUTILSOBJDIR@
    132137COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    171176COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    172177COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     178COUENNEDOCDIR = @COUENNEDOCDIR@
    173179COUENNEOBJDIR = @COUENNEOBJDIR@
    174180COUENNESRCDIR = @COUENNESRCDIR@
     
    188194DEFS = @DEFS@
    189195DEPDIR = @DEPDIR@
     196DYLPDOCDIR = @DYLPDOCDIR@
    190197DYLPOBJDIR = @DYLPOBJDIR@
    191198DYLPSRCDIR = @DYLPSRCDIR@
     
    211218INSTALL_SCRIPT = @INSTALL_SCRIPT@
    212219INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     220IPOPTDOCDIR = @IPOPTDOCDIR@
    213221IPOPTOBJDIR = @IPOPTOBJDIR@
    214222IPOPTSRCDIR = @IPOPTSRCDIR@
     
    235243OPT_CXXFLAGS = @OPT_CXXFLAGS@
    236244OPT_FFLAGS = @OPT_FFLAGS@
     245OSIDOCDIR = @OSIDOCDIR@
    237246OSIOBJDIR = @OSIOBJDIR@
    238247OSISRCDIR = @OSISRCDIR@
     
    253262SPXLIB = @SPXLIB@
    254263STRIP = @STRIP@
     264SYMDOCDIR = @SYMDOCDIR@
    255265SYMOBJDIR = @SYMOBJDIR@
    256266SYMSRCDIR = @SYMSRCDIR@
    257267VERSION = @VERSION@
     268VOLDOCDIR = @VOLDOCDIR@
    258269VOLOBJDIR = @VOLOBJDIR@
    259270VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Interfaces/Filter/Makefile.in

    r1014 r1054  
    116116AUX_DIR = @AUX_DIR@
    117117AWK = @AWK@
     118BCPDOCDIR = @BCPDOCDIR@
    118119BCPOBJDIR = @BCPOBJDIR@
    119120BCPSRCDIR = @BCPSRCDIR@
     
    121122BUILD_FP_FALSE = @BUILD_FP_FALSE@
    122123BUILD_FP_TRUE = @BUILD_FP_TRUE@
     124CBCDOCDIR = @CBCDOCDIR@
    123125CBCOBJDIR = @CBCOBJDIR@
    124126CBCSRCDIR = @CBCSRCDIR@
     
    127129CDEFS = @CDEFS@
    128130CFLAGS = @CFLAGS@
     131CGLDOCDIR = @CGLDOCDIR@
    129132CGLOBJDIR = @CGLOBJDIR@
    130133CGLSRCDIR = @CGLSRCDIR@
     134CLPDOCDIR = @CLPDOCDIR@
    131135CLPOBJDIR = @CLPOBJDIR@
    132136CLPSRCDIR = @CLPSRCDIR@
     137COINUTILSDOCDIR = @COINUTILSDOCDIR@
    133138COINUTILSOBJDIR = @COINUTILSOBJDIR@
    134139COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    173178COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    174179COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     180COUENNEDOCDIR = @COUENNEDOCDIR@
    175181COUENNEOBJDIR = @COUENNEOBJDIR@
    176182COUENNESRCDIR = @COUENNESRCDIR@
     
    190196DEFS = @DEFS@
    191197DEPDIR = @DEPDIR@
     198DYLPDOCDIR = @DYLPDOCDIR@
    192199DYLPOBJDIR = @DYLPOBJDIR@
    193200DYLPSRCDIR = @DYLPSRCDIR@
     
    213220INSTALL_SCRIPT = @INSTALL_SCRIPT@
    214221INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     222IPOPTDOCDIR = @IPOPTDOCDIR@
    215223IPOPTOBJDIR = @IPOPTOBJDIR@
    216224IPOPTSRCDIR = @IPOPTSRCDIR@
     
    237245OPT_CXXFLAGS = @OPT_CXXFLAGS@
    238246OPT_FFLAGS = @OPT_FFLAGS@
     247OSIDOCDIR = @OSIDOCDIR@
    239248OSIOBJDIR = @OSIOBJDIR@
    240249OSISRCDIR = @OSISRCDIR@
     
    255264SPXLIB = @SPXLIB@
    256265STRIP = @STRIP@
     266SYMDOCDIR = @SYMDOCDIR@
    257267SYMOBJDIR = @SYMOBJDIR@
    258268SYMSRCDIR = @SYMSRCDIR@
    259269VERSION = @VERSION@
     270VOLDOCDIR = @VOLDOCDIR@
    260271VOLOBJDIR = @VOLOBJDIR@
    261272VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Interfaces/Ipopt/Makefile.in

    r1014 r1054  
    112112AUX_DIR = @AUX_DIR@
    113113AWK = @AWK@
     114BCPDOCDIR = @BCPDOCDIR@
    114115BCPOBJDIR = @BCPOBJDIR@
    115116BCPSRCDIR = @BCPSRCDIR@
     
    117118BUILD_FP_FALSE = @BUILD_FP_FALSE@
    118119BUILD_FP_TRUE = @BUILD_FP_TRUE@
     120CBCDOCDIR = @CBCDOCDIR@
    119121CBCOBJDIR = @CBCOBJDIR@
    120122CBCSRCDIR = @CBCSRCDIR@
     
    123125CDEFS = @CDEFS@
    124126CFLAGS = @CFLAGS@
     127CGLDOCDIR = @CGLDOCDIR@
    125128CGLOBJDIR = @CGLOBJDIR@
    126129CGLSRCDIR = @CGLSRCDIR@
     130CLPDOCDIR = @CLPDOCDIR@
    127131CLPOBJDIR = @CLPOBJDIR@
    128132CLPSRCDIR = @CLPSRCDIR@
     133COINUTILSDOCDIR = @COINUTILSDOCDIR@
    129134COINUTILSOBJDIR = @COINUTILSOBJDIR@
    130135COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    169174COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    170175COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     176COUENNEDOCDIR = @COUENNEDOCDIR@
    171177COUENNEOBJDIR = @COUENNEOBJDIR@
    172178COUENNESRCDIR = @COUENNESRCDIR@
     
    186192DEFS = @DEFS@
    187193DEPDIR = @DEPDIR@
     194DYLPDOCDIR = @DYLPDOCDIR@
    188195DYLPOBJDIR = @DYLPOBJDIR@
    189196DYLPSRCDIR = @DYLPSRCDIR@
     
    209216INSTALL_SCRIPT = @INSTALL_SCRIPT@
    210217INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     218IPOPTDOCDIR = @IPOPTDOCDIR@
    211219IPOPTOBJDIR = @IPOPTOBJDIR@
    212220IPOPTSRCDIR = @IPOPTSRCDIR@
     
    233241OPT_CXXFLAGS = @OPT_CXXFLAGS@
    234242OPT_FFLAGS = @OPT_FFLAGS@
     243OSIDOCDIR = @OSIDOCDIR@
    235244OSIOBJDIR = @OSIOBJDIR@
    236245OSISRCDIR = @OSISRCDIR@
     
    251260SPXLIB = @SPXLIB@
    252261STRIP = @STRIP@
     262SYMDOCDIR = @SYMDOCDIR@
    253263SYMOBJDIR = @SYMOBJDIR@
    254264SYMSRCDIR = @SYMSRCDIR@
    255265VERSION = @VERSION@
     266VOLDOCDIR = @VOLDOCDIR@
    256267VOLOBJDIR = @VOLOBJDIR@
    257268VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/src/Interfaces/Makefile.in

    r1014 r1054  
    128128AUX_DIR = @AUX_DIR@
    129129AWK = @AWK@
     130BCPDOCDIR = @BCPDOCDIR@
    130131BCPOBJDIR = @BCPOBJDIR@
    131132BCPSRCDIR = @BCPSRCDIR@
     
    133134BUILD_FP_FALSE = @BUILD_FP_FALSE@
    134135BUILD_FP_TRUE = @BUILD_FP_TRUE@
     136CBCDOCDIR = @CBCDOCDIR@
    135137CBCOBJDIR = @CBCOBJDIR@
    136138CBCSRCDIR = @CBCSRCDIR@
     
    139141CDEFS = @CDEFS@
    140142CFLAGS = @CFLAGS@
     143CGLDOCDIR = @CGLDOCDIR@
    141144CGLOBJDIR = @CGLOBJDIR@
    142145CGLSRCDIR = @CGLSRCDIR@
     146CLPDOCDIR = @CLPDOCDIR@
    143147CLPOBJDIR = @CLPOBJDIR@
    144148CLPSRCDIR = @CLPSRCDIR@
     149COINUTILSDOCDIR = @COINUTILSDOCDIR@
    145150COINUTILSOBJDIR = @COINUTILSOBJDIR@
    146151COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    185190COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    186191COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     192COUENNEDOCDIR = @COUENNEDOCDIR@
    187193COUENNEOBJDIR = @COUENNEOBJDIR@
    188194COUENNESRCDIR = @COUENNESRCDIR@
     
    202208DEFS = @DEFS@
    203209DEPDIR = @DEPDIR@
     210DYLPDOCDIR = @DYLPDOCDIR@
    204211DYLPOBJDIR = @DYLPOBJDIR@
    205212DYLPSRCDIR = @DYLPSRCDIR@
     
    225232INSTALL_SCRIPT = @INSTALL_SCRIPT@
    226233INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     234IPOPTDOCDIR = @IPOPTDOCDIR@
    227235IPOPTOBJDIR = @IPOPTOBJDIR@
    228236IPOPTSRCDIR = @IPOPTSRCDIR@
     
    249257OPT_CXXFLAGS = @OPT_CXXFLAGS@
    250258OPT_FFLAGS = @OPT_FFLAGS@
     259OSIDOCDIR = @OSIDOCDIR@
    251260OSIOBJDIR = @OSIOBJDIR@
    252261OSISRCDIR = @OSISRCDIR@
     
    267276SPXLIB = @SPXLIB@
    268277STRIP = @STRIP@
     278SYMDOCDIR = @SYMDOCDIR@
    269279SYMOBJDIR = @SYMOBJDIR@
    270280SYMSRCDIR = @SYMSRCDIR@
    271281VERSION = @VERSION@
     282VOLDOCDIR = @VOLDOCDIR@
    272283VOLOBJDIR = @VOLOBJDIR@
    273284VOLSRCDIR = @VOLSRCDIR@
  • trunk/Bonmin/test/InterfaceTest.cpp

    r917 r1054  
    1111#include "OsiClpSolverInterface.hpp"
    1212#include "BonTMINLP.hpp"
     13#include "IpIpoptApplication.hpp"
     14#ifdef COIN_HAS_ASL
    1315#include "BonAmplTMINLP.hpp"
    14 #include "IpIpoptApplication.hpp"
    1516#include "BonAmplSetup.hpp"
     17#endif
    1618
    1719#include "BonIpoptSolver.hpp"
     
    273275           <<solver->solverName()<<" solver"<<std::endl;
    274276  // Test usefull constructor
     277#ifdef COIN_HAS_ASL
    275278  {
    276279        //read a toy problem and do various tests
     
    374377 //   testFp(si);
    375378//  }
     379#endif // COIN_HAS_ASL
    376380  std::cout<<"All test passed successfully"<<std::endl;
    377381}
  • trunk/Bonmin/test/Makefile.am

    r758 r1054  
    2626# List libraries of COIN projects
    2727unitTest_LDADD = \
    28         ../src/CbcBonmin/libbonminampl.la \
    2928        ../src/CbcBonmin/libbonmin.la \
    30         $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la \
    3129        $(IPOPTLIBS) \
    3230        $(COINLIBS) \
    3331        $(ASLLIB) \
    3432        $(ADDLIBS)
     33
     34if COIN_HAS_ASL
     35unitTest_LDADD += \
     36        ../src/CbcBonmin/libbonminampl.la \
     37        $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la
     38endif
    3539
    3640#########################################################################
  • trunk/Bonmin/test/Makefile.in

    r909 r1054  
    4545noinst_PROGRAMS = $(am__EXEEXT_1) CppExample$(EXEEXT)
    4646@COIN_HAS_ASL_TRUE@am__append_1 = unitTest
    47 @COIN_HAS_CPX_TRUE@am__append_2 = \
     47@COIN_HAS_ASL_TRUE@am__append_2 = \
     48@COIN_HAS_ASL_TRUE@        ../src/CbcBonmin/libbonminampl.la \
     49@COIN_HAS_ASL_TRUE@     $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la
     50
     51@COIN_HAS_CPX_TRUE@am__append_3 = \
    4852@COIN_HAS_CPX_TRUE@     $(OSIOBJDIR)/src/OsiCpx/libOsiCpx.la \
    4953@COIN_HAS_CPX_TRUE@     $(COINUTILSOBJDIR)/src/libCoinUtils.la \
     
    8084am_unitTest_OBJECTS = InterfaceTest.$(OBJEXT)
    8185unitTest_OBJECTS = $(am_unitTest_OBJECTS)
    82 unitTest_DEPENDENCIES = ../src/CbcBonmin/libbonminampl.la \
    83         ../src/CbcBonmin/libbonmin.la \
    84         $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la \
     86@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_5 =  \
     87@COIN_HAS_ASL_TRUE@     ../src/CbcBonmin/libbonminampl.la \
     88@COIN_HAS_ASL_TRUE@     $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la
     89unitTest_DEPENDENCIES = ../src/CbcBonmin/libbonmin.la \
    8590        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_4) \
    86         $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2)
     91        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \
     92        $(am__DEPENDENCIES_5)
    8793depcomp = $(SHELL) $(top_srcdir)/../depcomp
    8894am__depfiles_maybe = depfiles
     
    128134AUX_DIR = @AUX_DIR@
    129135AWK = @AWK@
     136BCPDOCDIR = @BCPDOCDIR@
    130137BCPOBJDIR = @BCPOBJDIR@
    131138BCPSRCDIR = @BCPSRCDIR@
     
    133140BUILD_FP_FALSE = @BUILD_FP_FALSE@
    134141BUILD_FP_TRUE = @BUILD_FP_TRUE@
     142CBCDOCDIR = @CBCDOCDIR@
    135143CBCOBJDIR = @CBCOBJDIR@
    136144CBCSRCDIR = @CBCSRCDIR@
     
    139147CDEFS = @CDEFS@
    140148CFLAGS = @CFLAGS@
     149CGLDOCDIR = @CGLDOCDIR@
    141150CGLOBJDIR = @CGLOBJDIR@
    142151CGLSRCDIR = @CGLSRCDIR@
     152CLPDOCDIR = @CLPDOCDIR@
    143153CLPOBJDIR = @CLPOBJDIR@
    144154CLPSRCDIR = @CLPSRCDIR@
     155COINUTILSDOCDIR = @COINUTILSDOCDIR@
    145156COINUTILSOBJDIR = @COINUTILSOBJDIR@
    146157COINUTILSSRCDIR = @COINUTILSSRCDIR@
     
    185196COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    186197COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     198COUENNEDOCDIR = @COUENNEDOCDIR@
    187199COUENNEOBJDIR = @COUENNEOBJDIR@
    188200COUENNESRCDIR = @COUENNESRCDIR@
     
    202214DEFS = @DEFS@
    203215DEPDIR = @DEPDIR@
     216DYLPDOCDIR = @DYLPDOCDIR@
    204217DYLPOBJDIR = @DYLPOBJDIR@
    205218DYLPSRCDIR = @DYLPSRCDIR@
     
    225238INSTALL_SCRIPT = @INSTALL_SCRIPT@
    226239INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     240IPOPTDOCDIR = @IPOPTDOCDIR@
    227241IPOPTOBJDIR = @IPOPTOBJDIR@
    228242IPOPTSRCDIR = @IPOPTSRCDIR@
     
    252266OPT_CXXFLAGS = @OPT_CXXFLAGS@
    253267OPT_FFLAGS = @OPT_FFLAGS@
     268OSIDOCDIR = @OSIDOCDIR@
    254269OSIOBJDIR = @OSIOBJDIR@
    255270OSISRCDIR = @OSISRCDIR@
     
    270285SPXLIB = @SPXLIB@
    271286STRIP = @STRIP@
     287SYMDOCDIR = @SYMDOCDIR@
    272288SYMOBJDIR = @SYMOBJDIR@
    273289SYMSRCDIR = @SYMSRCDIR@
    274290VERSION = @VERSION@
     291VOLDOCDIR = @VOLDOCDIR@
    275292VOLOBJDIR = @VOLOBJDIR@
    276293VOLSRCDIR = @VOLSRCDIR@
     
    337354
    338355# List libraries of COIN projects
    339 unitTest_LDADD = \
    340         ../src/CbcBonmin/libbonminampl.la \
    341         ../src/CbcBonmin/libbonmin.la \
    342         $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la \
    343         $(IPOPTLIBS) \
    344         $(COINLIBS) \
    345         $(ASLLIB) \
    346         $(ADDLIBS)
    347 
     356unitTest_LDADD = ../src/CbcBonmin/libbonmin.la $(IPOPTLIBS) \
     357        $(COINLIBS) $(ASLLIB) $(ADDLIBS) $(am__append_2)
    348358
    349359#########################################################################
     
    357367        $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    358368        $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
    359         $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__append_2)
     369        $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__append_3)
    360370IPOPTLIBS = \
    361371        $(IPOPTOBJDIR)/src/Interfaces/libipopt.la
  • trunk/Makefile.in

    r982 r1054  
    2121# Author:  Andreas Waechter           IBM    2006-04-13
    2222
    23 # Copyright (C) 2006 International Business Machines and others.
     23# Copyright (C) 2006, 2007 International Business Machines and others.
    2424# All Rights Reserved.
    2525# This file is distributed under the Common Public License.
     
    243243DISTCLEANFILES = $(am__append_2) $(VPATH_DISTCLEANFILES)
    244244DocFiles = README AUTHORS LICENSE
    245 DocInstallDir = $(prefix)/share/doc/$(PACKAGE)
     245DocInstallDir = $(prefix)/share/doc/coin/$(PACKAGE_NAME)
    246246all: all-recursive
    247247
     
    619619install-data-am:
    620620
     621install-exec-am:
     622
    621623install-info: install-info-recursive
    622624
     
    642644
    643645ps-am:
     646
     647uninstall-am: uninstall-info-am
    644648
    645649uninstall-info: uninstall-info-recursive
     
    684688.PHONY: test unitTest tests unitTests doxydoc
    685689
    686 install-exec-am:
     690install-doc: $(DocFiles)
    687691        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    688692        for file in $(DocFiles); do \
     
    691695        done
    692696
    693 uninstall-am:
     697uninstall-doc:
    694698        for file in $(DocFiles); do \
    695699          rm -f "$(DESTDIR)$(DocInstallDir)/$$file"; \
     
    732736@HAVE_EXTERNALS_TRUE@@MAINTAINER_MODE_TRUE@update-externals: .Externals-stamp
    733737@HAVE_EXTERNALS_TRUE@@MAINTAINER_MODE_TRUE@     cd $(srcdir); svn update
     738
     739.PHONY: install-doc uninstall-doc update-externals
    734740# Tell versions [3.59,3.63) of GNU make to not export all variables.
    735741# Otherwise a system limit (for SysV at least) may be exceeded.
  • trunk/configure

    r970 r1054  
    11171117  --enable-doscompile     Under Cygwin, compile so that executables run under
    11181118                          DOS. Set to mingw to use gcc/g++/ld with
    1119                           -mno-cygwin. Set to msvc to use cl/link. Default
    1120                           when mentioned: mingw. Default when not mentioned:
    1121                           disabled.
     1119                          -mno-cygwin. Set to msvc to use cl/link (or
     1120                          icl/link). Default when mentioned: mingw. Default
     1121                          when not mentioned: disabled.
    11221122  --enable-static[=PKGS]
    11231123                          build static libraries [default=no]
     
    18111811if test x"$CXX" != x; then
    18121812  case "$CXX" in
    1813     cl* | */cl* | CL* | */CL*)
     1813    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    18141814      if test x"$CC" = x; then
    18151815        CC="$CXX"
     
    18381838  *-cygwin* | *-mingw*)
    18391839             if test "$enable_doscompile" = msvc ; then
    1840                comps="cl"
     1840               comps="icl cl"
    18411841             else
    18421842               comps="gcc cl"
     
    27242724            coin_dbg_cflags='-MTd'
    27252725            ;;
     2726          icl* | */icl* | ICL* | */ICL*)
     2727            coin_opt_cflags='-MT -Ox'
     2728            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
     2729            coin_dbg_cflags='-MTd -debug'
     2730            ;;
    27262731        esac
    27272732        ;;
     
    30303035# Correct ADDLIBS initialization if we are using the MS compiler
    30313036case "$CC" in
    3032   cl* | */cl* | CL* | */CL*)
     3037  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    30333038    ADDLIBS=
    30343039    case $build in
     
    30813086  *-cygwin* | *-mingw*)
    30823087             if test "$enable_doscompile" = msvc ; then
    3083                comps="cl"
     3088               comps="icl cl"
    30843089             else
    30853090               comps="g++ cl"
     
    34583463# It seems that we need to cleanup something here for the Windows
    34593464case "$CXX" in
    3460   cl* | */cl* | CL* | */CL* )
     3465  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    34613466    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
    34623467    mv confdefs.hh confdefs.h
     
    35663571            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    35673572            coin_dbg_cxxflags='-MTd'
     3573            ;;
     3574          icl* | */icl* | ICL* | */ICL*)
     3575            # The MT and MTd options are mutually exclusive
     3576            coin_opt_cxxflags='-MT -Ox'
     3577            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
     3578            coin_dbg_cxxflags='-MTd -debug'
    35683579            ;;
    35693580        esac
     
    40864097
    40874098# Provide some information about the compiler.
    4088 echo "$as_me:4088:" \
     4099echo "$as_me:4099:" \
    40894100     "checking for Fortran 77 compiler version" >&5
    40904101ac_compiler=`set X $ac_compile; echo $2`
     
    46104621# START
    46114622
    4612 # On Cygwin and AIX, building DLLs doesn't work
    4613 case $build in
    4614   *-cygwin*)
    4615     coin_disable_shared=yes
    4616     platform=Cygwin
    4617   ;;
    4618   *-aix*)
    4619     coin_disable_shared=yes
    4620     platform=AIX
    4621   ;;
    4622   *-mingw*)
    4623     coin_disable_shared=yes
    4624     platform="Msys"
    4625 #    case "$CXX" in
    4626 #      cl*)
    4627 #        coin_disable_shared=yes
    4628 #        platform="Msys with cl"
    4629 #    ;;
    4630 #    esac
    4631   ;;
    4632 esac
     4623# Test if force_shared has been set
     4624if test "x" = xforce_shared; then
     4625  if test x$enable_shared = xno; then
     4626    { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
     4627echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
     4628   { (exit 1); exit 1; }; }
     4629  fi
     4630  enable_shared=yes;
     4631else
     4632  # On Cygwin and AIX, building DLLs doesn't work
     4633  case $build in
     4634    *-cygwin*)
     4635      coin_disable_shared=yes
     4636      platform=Cygwin
     4637    ;;
     4638    *-aix*)
     4639      coin_disable_shared=yes
     4640      platform=AIX
     4641    ;;
     4642    *-mingw*)
     4643      coin_disable_shared=yes
     4644      platform="Msys"
     4645#      case "$CXX" in
     4646#        cl*)
     4647#          coin_disable_shared=yes
     4648#          platform="Msys with cl"
     4649#      ;;
     4650#      esac
     4651    ;;
     4652  esac
     4653fi
    46334654if test x"$coin_disable_shared" = xyes; then
    46344655  if test x"$enable_shared" = xyes; then
     
    63356356*-*-irix6*)
    63366357  # Find out which ABI we are using.
    6337   echo '#line 6337 "configure"' > conftest.$ac_ext
     6358  echo '#line 6358 "configure"' > conftest.$ac_ext
    63386359  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63396360  (eval $ac_compile) 2>&5
     
    82998320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83008321   -e 's:$: $lt_compiler_flag:'`
    8301    (eval echo "\"\$as_me:8301: $lt_compile\"" >&5)
     8322   (eval echo "\"\$as_me:8322: $lt_compile\"" >&5)
    83028323   (eval "$lt_compile" 2>conftest.err)
    83038324   ac_status=$?
    83048325   cat conftest.err >&5
    8305    echo "$as_me:8305: \$? = $ac_status" >&5
     8326   echo "$as_me:8326: \$? = $ac_status" >&5
    83068327   if (exit $ac_status) && test -s "$ac_outfile"; then
    83078328     # The compiler can only warn and ignore the option if not recognized
     
    85678588   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85688589   -e 's:$: $lt_compiler_flag:'`
    8569    (eval echo "\"\$as_me:8569: $lt_compile\"" >&5)
     8590   (eval echo "\"\$as_me:8590: $lt_compile\"" >&5)
    85708591   (eval "$lt_compile" 2>conftest.err)
    85718592   ac_status=$?
    85728593   cat conftest.err >&5
    8573    echo "$as_me:8573: \$? = $ac_status" >&5
     8594   echo "$as_me:8594: \$? = $ac_status" >&5
    85748595   if (exit $ac_status) && test -s "$ac_outfile"; then
    85758596     # The compiler can only warn and ignore the option if not recognized
     
    86718692   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86728693   -e 's:$: $lt_compiler_flag:'`
    8673    (eval echo "\"\$as_me:8673: $lt_compile\"" >&5)
     8694   (eval echo "\"\$as_me:8694: $lt_compile\"" >&5)
    86748695   (eval "$lt_compile" 2>out/conftest.err)
    86758696   ac_status=$?
    86768697   cat out/conftest.err >&5
    8677    echo "$as_me:8677: \$? = $ac_status" >&5
     8698   echo "$as_me:8698: \$? = $ac_status" >&5
    86788699   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86798700   then
     
    1101611037  lt_status=$lt_dlunknown
    1101711038  cat > conftest.$ac_ext <<EOF
    11018 #line 11018 "configure"
     11039#line 11039 "configure"
    1101911040#include "confdefs.h"
    1102011041
     
    1111611137  lt_status=$lt_dlunknown
    1111711138  cat > conftest.$ac_ext <<EOF
    11118 #line 11118 "configure"
     11139#line 11139 "configure"
    1111911140#include "confdefs.h"
    1112011141
     
    1346013481   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346113482   -e 's:$: $lt_compiler_flag:'`
    13462    (eval echo "\"\$as_me:13462: $lt_compile\"" >&5)
     13483   (eval echo "\"\$as_me:13483: $lt_compile\"" >&5)
    1346313484   (eval "$lt_compile" 2>conftest.err)
    1346413485   ac_status=$?
    1346513486   cat conftest.err >&5
    13466    echo "$as_me:13466: \$? = $ac_status" >&5
     13487   echo "$as_me:13487: \$? = $ac_status" >&5
    1346713488   if (exit $ac_status) && test -s "$ac_outfile"; then
    1346813489     # The compiler can only warn and ignore the option if not recognized
     
    1356413585   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1356513586   -e 's:$: $lt_compiler_flag:'`
    13566    (eval echo "\"\$as_me:13566: $lt_compile\"" >&5)
     13587   (eval echo "\"\$as_me:13587: $lt_compile\"" >&5)
    1356713588   (eval "$lt_compile" 2>out/conftest.err)
    1356813589   ac_status=$?
    1356913590   cat out/conftest.err >&5
    13570    echo "$as_me:13570: \$? = $ac_status" >&5
     13591   echo "$as_me:13591: \$? = $ac_status" >&5
    1357113592   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1357213593   then
     
    1513415155   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513515156   -e 's:$: $lt_compiler_flag:'`
    15136    (eval echo "\"\$as_me:15136: $lt_compile\"" >&5)
     15157   (eval echo "\"\$as_me:15157: $lt_compile\"" >&5)
    1513715158   (eval "$lt_compile" 2>conftest.err)
    1513815159   ac_status=$?
    1513915160   cat conftest.err >&5
    15140    echo "$as_me:15140: \$? = $ac_status" >&5
     15161   echo "$as_me:15161: \$? = $ac_status" >&5
    1514115162   if (exit $ac_status) && test -s "$ac_outfile"; then
    1514215163     # The compiler can only warn and ignore the option if not recognized
     
    1523815259   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523915260   -e 's:$: $lt_compiler_flag:'`
    15240    (eval echo "\"\$as_me:15240: $lt_compile\"" >&5)
     15261   (eval echo "\"\$as_me:15261: $lt_compile\"" >&5)
    1524115262   (eval "$lt_compile" 2>out/conftest.err)
    1524215263   ac_status=$?
    1524315264   cat out/conftest.err >&5
    15244    echo "$as_me:15244: \$? = $ac_status" >&5
     15265   echo "$as_me:15265: \$? = $ac_status" >&5
    1524515266   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1524615267   then
     
    1744517466   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1744617467   -e 's:$: $lt_compiler_flag:'`
    17447    (eval echo "\"\$as_me:17447: $lt_compile\"" >&5)
     17468   (eval echo "\"\$as_me:17468: $lt_compile\"" >&5)
    1744817469   (eval "$lt_compile" 2>conftest.err)
    1744917470   ac_status=$?
    1745017471   cat conftest.err >&5
    17451    echo "$as_me:17451: \$? = $ac_status" >&5
     17472   echo "$as_me:17472: \$? = $ac_status" >&5
    1745217473   if (exit $ac_status) && test -s "$ac_outfile"; then
    1745317474     # The compiler can only warn and ignore the option if not recognized
     
    1771317734   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1771417735   -e 's:$: $lt_compiler_flag:'`
    17715    (eval echo "\"\$as_me:17715: $lt_compile\"" >&5)
     17736   (eval echo "\"\$as_me:17736: $lt_compile\"" >&5)
    1771617737   (eval "$lt_compile" 2>conftest.err)
    1771717738   ac_status=$?
    1771817739   cat conftest.err >&5
    17719    echo "$as_me:17719: \$? = $ac_status" >&5
     17740   echo "$as_me:17740: \$? = $ac_status" >&5
    1772017741   if (exit $ac_status) && test -s "$ac_outfile"; then
    1772117742     # The compiler can only warn and ignore the option if not recognized
     
    1781717838   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1781817839   -e 's:$: $lt_compiler_flag:'`
    17819    (eval echo "\"\$as_me:17819: $lt_compile\"" >&5)
     17840   (eval echo "\"\$as_me:17840: $lt_compile\"" >&5)
    1782017841   (eval "$lt_compile" 2>out/conftest.err)
    1782117842   ac_status=$?
    1782217843   cat out/conftest.err >&5
    17823    echo "$as_me:17823: \$? = $ac_status" >&5
     17844   echo "$as_me:17844: \$? = $ac_status" >&5
    1782417845   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1782517846   then
     
    2055720578    *-cygwin* | *-mingw*)
    2055820579       case "$CXX" in
    20559     cl* | */cl* | CL* | */CL*)
     20580    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    2056020581      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    2056120582echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     
    2059320614echo "$as_me: Applying patches to libtool for Darwin" >&6;}
    2059420615      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20616        -e 's/ -dynamiclib / -dynamiclib -single_module /g' \
    2059520617      libtool > conftest.bla
    2059620618
     
    2139821420fi
    2139921421case "$CC" in
    21400   cl* | */cl* | CL* | */CL*)
     21422  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    2140121423    coin_link_input_cmd=cp ;;
    2140221424esac
     
    2141621438
    2141721439  case "$CC" in
    21418     cl* | */cl* | CL* | */CL*)
     21440    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    2141921441         LIBEXT=lib ;;
    2142021442      *) LIBEXT=a ;;
Note: See TracChangeset for help on using the changeset viewer.